/*
 * This file is generated by jOOQ.
*/
package cc.cinnamon.canary.users.model


import org.jooq.Catalog
import org.jooq.impl.SchemaImpl

import javax.annotation.Generated


/**
 * This class is generated by jOOQ.
 */
@Generated(value = *arrayOf("http://www.jooq.org", "jOOQ version:3.9.1", "schema version:public_4"), date = "2017-02-20T21:56:50.783Z", comments = "This class is generated by jOOQ")
class Public
/**
 * No further instances allowed
 */
private constructor() : SchemaImpl("public", null) {


    /**
     * {@inheritDoc}
     */
    override fun getCatalog(): Catalog {
        return DefaultCatalog.DEFAULT_CATALOG
    }

    companion object {

        private val serialVersionUID: Long = -601737793

        /**
         * The reference instance of `public`
         */
        val PUBLIC = Public()
    }
}
